<template>
  <div class="player youtube">
    <iframe :width="videoWidth" :height="videoHeight"
            src="https://www.youtube.com/embed/_ZLimUDUJTA"
            frameborder="0"
            allow="autoplay; encrypted-media"
            allowfullscreen></iframe>
  </div>
</template>

<script>
  import {mapGetters} from 'vuex'

  export default {
    name: 'youtube',
    data () {
      return {
        embedURL: 'https://www.youtube.com/embed/',
        videoId: '_ZLimUDUJTA',
        videoWidth: '100%',
        videoHeight: null,
        errors: [],
        copy: '© a.Signz 18'
      }
    },
    computed: {
      videoSrc () {
        return this.embedURL + this.videoId
      },
      ...mapGetters([
        'api'
      ])
    },
    mounted () {
      console.info(this)
    }
  }
</script>
